Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class DestinationInfo

    java.lang.Object
      com.tibco.tibjms.admin.DestinationInfo

Direct Known Subclasses:
  QueueInfo, TopicInfo

    public abstract class DestinationInfo

extends java.lang.Object

This abstract class contains methods common to both QueueInfo and TopicInfo. It represents a Topic or Queue known to the server. Destinations fall into three categories: static, dynamic, and temporary.
Static destinations are explicitly configured and appear in the configuration files on the server.
Dynamic destinations are created dynamically by EMS clients or routed servers. Dynamic destinations cannot be modified.
Temporary destinations are defined by the JMS specification. Temporary destinations cannot be modified.
TopicInfo or QueueInfo objects received via TibjmsAdmin.getTopic() or TibjmsAdmin.getQueue() methods do not contain the statistical data about the destination. In order to obtain statistical information about destinations use TibjmsAdmin.getTopicsStatistics() or TibjmsAdmin.getQueuesStatistics().

Field Summary
`static int` | `ALL_TYPE` Type indicating a topic or queue.
`static int` | `DEST_GET_ALL` Request info for all destinations
`static int` | `DEST_GET_DYNAMIC` Request info for dynamic destinations only
`static int` | `DEST_GET_NOTEMP` Request info for nontemporary destinations only
`static int` | `DEST_GET_STATIC` Request info for static destinations only
`static byte` | `MSG_TRACE_BASIC` Indicates that message sequence number and message ID will be traced.
`static byte` | `MSG_TRACE_DETAIL` Indicates that the message body will be traced in addition to the message sequnce number and message ID, .
`static byte` | `MSG_TRACE_NONE` Indicates that messages will not be traced.
`static int` | `OVERFLOW_DEFAULT` Indicates that the destination has no specific overflow policy set.
`static int` | `OVERFLOW_DISCARD_OLD` Indicates that if maxmsgs or maxbytes are exceeded for the queue or a topic's subscriber then when new messages arrive, old messages will be discarded.
`static int` | `OVERFLOW_REJECT_INCOMING` For queues, this behavior is the same as for `OVERFLOW_DEFAULT`.
`static int` | `PREFETCH_DEFAULT` Indicates that the default number of messages will be prefetched into the EMS client.
`static int` | `PREFETCH_NONE` Indicates no messages will be prefetched into the EMS client.
`static int` | `QUEUE_TYPE` Type indicating a queue.
`static int` | `TOPIC_TYPE` Type indicating a topic.

Method Summary
`void` | `addImportTransport(java.lang.String transportName)` Add a new import transport to the list of transports this destination imports messages from.
`boolean` | `areBridgeTargetsInherited()` Deprecated. This method has been misnamed and replaced by `isBridgeTargetsInherited()`.
`boolean` | `areImportTransportsInherited()` Deprecated. This method has been misnamed and replaced by `isImportTransportsInherited()`.
`BridgeTarget[]` | `getBridgeTargets()` Get the target destinations that this destination bridges to.
`int` | `getConsumerCount()` Get the number of consumers for this destination.
`java.lang.String` | `getDescription()` Deprecated. As of release 4.4 because destinations never had a description property
`long` | `getExpiryOverride()` Get the expiry override for this destination.
`long` | `getFlowControlMaxBytes()` Get the volume of pending messages (in bytes) at which flow control is enabled for this destination.
`java.lang.String[]` | `getImportTransports()` Get the names of the transports that this destination imports messages from.
`StatData` | `getInboundStatistics()` Get inbound statistics for this destination.
`java.lang.String[]` | `getJNDINames()` Get the array of JNDI names for this destination.
`long` | `getMaxBytes()` Get the maximum number of message bytes that the server will store for pending messages bound for this destination.
`long` | `getMaxMsgs()` Get the maximum number of messages that the server will store for pending messages bound for this destination.
`byte` | `getMsgTrace()` Indicates whether message tracing is enabled for this destination and, if it is enabled, what is to be traced.
`java.lang.String` | `getName()` Get the name of this destination.
`StatData` | `getOutboundStatistics()` Get outbound statistics for this destination.
`int` | `getOverflowPolicy()` Get the overflow policy for this destination.
`long` | `getPendingMessageCount()` Get the total number of pending messages for this destination.
`long` | `getPendingMessageSize()` Get the total size for all pending messages for this destination.
`int` | `getPrefetch()` Get the number of messages prefetched by the EMS client from the server to improve efficiency.
`java.lang.String` | `getStore()` Get the store for this destination.
`boolean` | `isBridgeTargetsInherited()` Determines if the list of targets was inherited from a parent destination or whether it was set on the destination directly.
`boolean` | `isExpiryOverrideInherited()` Determine if the expiry override property was inheritied from a parent destination or set directly for this destination.
`boolean` | `isFailsafe()` Determine if this destination is failsafe.
`boolean` | `isFailsafeInherited()` Determine if the failsafe property was inheritied from a parent destination or set directly for this destination.
`boolean` | `isFlowControlMaxBytesInherited()` Determine if the flowControlMaxBytes property was inheritied from a parent destination or set directly for this destination.
`boolean` | `isGlobal()` Determine if this destination is global.
`boolean` | `isGlobalInherited()` Determine if the global property was inheritied from a parent destination or set directly for this destination.
`boolean` | `isImportTransportsInherited()` Determines if the list of transports this destination imports messages from was inherited from a parent destination or whether it was set on the destination directly.
`boolean` | `isMaxBytesInherited()` Determine if the maxBytes property was inheritied from a parent destination or set directly for this destination.
`boolean` | `isMaxMsgsInherited()` Determine if the maxMsgs property was inheritied from a parent destination or set directly for this destination.
`boolean` | `isMsgTraceInherited()` Determine if the message trace property was inheritied from a parent destination or set directly for this destination.
`boolean` | `isOverflowPolicyInherited()` Determine if the overflow property was inheritied from a parent destination or set directly for this destination.
`boolean` | `isPrefetchInherited()` Determine if the prefetch setting for this dest is inherited from a parent dest.
`boolean` | `isSecure()` Determine if this destination is secure.
`boolean` | `isSecureInherited()` Determine if the secure property was inheritied from a parent destination or set directly for this destination.
`boolean` | `isSenderName()` Indicates whether or not the sender_name property is set on this destionation.
`boolean` | `isSenderNameEnforced()` Indicates whether or not the sender_name_enforced property is set on this destination.
`boolean` | `isSenderNameEnforcedInherited()` Indicates whether or not the sender_name_enforced is inherited.
`boolean` | `isSenderNameInherited()` Indicates whether or not the sender_name property is inherited.
`boolean` | `isStatic()` Determine if this destination is static.
`boolean` | `isStoreInherited()` Determine if the store property was inherited from a parent destination or set directly for this destination.
`boolean` | `isTemporary()` Determine if this destination is temporary.
`void` | `removeImportTransport(java.lang.String transportName)` Remove an import transport from the list of transports this destination imports messages from.
`void` | `setDescription(java.lang.String description)` Deprecated. As of release 4.4 because destinations never had a description property
`void` | `setExpiryOverride(long expiry)` Set the expiry override for this destination.
`void` | `setFailsafe(boolean failsafe)` Set the failsafe property of this destination.
`void` | `setFlowControlMaxBytes(long fcBytes)` Set the volume of pending messages (in bytes) at which flow control will be enabled for this destination.
`void` | `setGlobal(boolean global)` Set the global property of this destination.
`void` | `setMaxBytes(long maxBytes)` Set the maximum number of message bytes that the server will store for pending messages bound for this destination.
`void` | `setMaxMsgs(long maxMsgs)` Set the maximum number of messages that the server will store for pending messages bound for this destination.
`void` | `setMsgTrace(byte trace)` Set the level of message tracing for this destination.
`void` | `setOverflowPolicy(int overflow)` Set the overflow policy for this destination.
`void` | `setPrefetch(int prefetch)` Set the number of messages prefetched by the consumers of this destination.
`void` | `setSecure(boolean secure)` Set the secure property of this destination.
`void` | `setSenderName(boolean senderName)` Set sender_name property.
`void` | `setSenderNameEnforced(boolean senderNameEnforced)` Set sender_name_enforced property.
`void` | `setStore(java.lang.String store)` Set the store for this destination.
`java.lang.String` | `statString()` Helper method that generates the statistical information in the form of a string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_TYPE

    public static final int ALL_TYPE

  Type indicating a topic or queue.

  See Also:
    Constant Field Values

### QUEUE_TYPE

    public static final int QUEUE_TYPE

  Type indicating a queue.

  See Also:
    Constant Field Values

### TOPIC_TYPE

    public static final int TOPIC_TYPE

  Type indicating a topic.

  See Also:
    Constant Field Values

### MSG_TRACE_NONE

    public static final byte MSG_TRACE_NONE

  Indicates that messages will not be traced.

  See Also:
    Constant Field Values

### MSG_TRACE_BASIC

    public static final byte MSG_TRACE_BASIC

  Indicates that message sequence number and message ID will be traced.

  See Also:
    Constant Field Values

### MSG_TRACE_DETAIL

    public static final byte MSG_TRACE_DETAIL

  Indicates that the message body will be traced in addition to the message sequnce number and message ID, .

  See Also:
    Constant Field Values

### OVERFLOW_DEFAULT

    public static final int OVERFLOW_DEFAULT

  Indicates that the destination has no specific overflow policy set. For queues this means that producers will receive an error if they try to send a message to a queue that has reached either its maxbytes limit or its maxmsgs limit. For topics, if a subscriber has exceeded their maxbytes limit of their maxmsgs limit then new messages will not be delivered to that subscriber but no error will be returned to the sender.

  Since:
    Version 4.3.0
  See Also:
    Constant Field Values

### OVERFLOW_DISCARD_OLD

    public static final int OVERFLOW_DISCARD_OLD

  Indicates that if maxmsgs or maxbytes are exceeded for the queue or a topic's subscriber then when new messages arrive, old messages will be discarded.

  Since:
    Version 4.3.0
  See Also:
    Constant Field Values

### OVERFLOW_REJECT_INCOMING

    public static final int OVERFLOW_REJECT_INCOMING

  For queues, this behavior is the same as for `OVERFLOW_DEFAULT`. For topics, the sender will receive an error if any of the subscribers for the topics has exceeded either their maxbytes limit or their maxmsgs limit.

  Since:
    Version 4.4
  See Also:
    Constant Field Values

### PREFETCH_NONE

    public static final int PREFETCH_NONE

  Indicates no messages will be prefetched into the EMS client.

  See Also:
    Constant Field Values

### PREFETCH_DEFAULT

    public static final int PREFETCH_DEFAULT

  Indicates that the default number of messages will be prefetched into the EMS client.

  See Also:
    Constant Field Values

### DEST_GET_STATIC

    public static final int DEST_GET_STATIC

  Request info for static destinations only

  Since:
    Version 4.4.0
  See Also:
    Constant Field Values

### DEST_GET_DYNAMIC

    public static final int DEST_GET_DYNAMIC

  Request info for dynamic destinations only

  Since:
    Version 4.4.0
  See Also:
    Constant Field Values

### DEST_GET_NOTEMP

    public static final int DEST_GET_NOTEMP

  Request info for nontemporary destinations only

  Since:
    Version 4.4.0
  See Also:
    Constant Field Values

### DEST_GET_ALL

    public static final int DEST_GET_ALL

  Request info for all destinations

  Since:
    Version 4.4.0
  See Also:
    Constant Field Values

Method Detail

### getJNDINames

    public java.lang.String[] getJNDINames()

  Get the array of JNDI names for this destination.

  Returns:
    the array of JNDI names for this destination.

### getName

    public java.lang.String getName()

  Get the name of this destination.

  Returns:
    the name of this destination.

### getDescription

    public java.lang.String getDescription()

  Deprecated. As of release 4.4 because destinations never had a description property

  Get the description of this destination.

  Returns:
    the description of this destination.

### setDescription

    public void setDescription(java.lang.String description)

  Deprecated. As of release 4.4 because destinations never had a description property

  Set the description of this destination.

  Parameters:
    `description` - the description for this destination.

### isFailsafe

    public boolean isFailsafe()

  Determine if this destination is failsafe.

  Returns:
    true if this destination is failsafe.

### setFailsafe

    public void setFailsafe(boolean failsafe)

  Set the failsafe property of this destination.

  Parameters:
    `failsafe` - true if this destination should be failsafe.

### isFailsafeInherited

    public boolean isFailsafeInherited()

  Determine if the failsafe property was inheritied from a parent destination or set directly for this destination.

  Returns:
    true if the failsafe property was inherited.

### isSecure

    public boolean isSecure()

  Determine if this destination is secure.

  Returns:
    true if this destination is secure.

### setSecure

    public void setSecure(boolean secure)

  Set the secure property of this destination.

  Parameters:
    `secure` - true if this destination should be secure.

### isSecureInherited

    public boolean isSecureInherited()

  Determine if the secure property was inheritied from a parent destination or set directly for this destination.

  Returns:
    true if the secure property was inherited.

### isGlobal

    public boolean isGlobal()

  Determine if this destination is global.

  Returns:
    true if this destination is global.

### setGlobal

    public void setGlobal(boolean global)

  Set the global property of this destination.

  Parameters:
    `global` - true if this destination should be global.

### isGlobalInherited

    public boolean isGlobalInherited()

  Determine if the global property was inheritied from a parent destination or set directly for this destination.

  Returns:
    true if the global property was inherited.

### getPrefetch

    public int getPrefetch()

  Get the number of messages prefetched by the EMS client from the server to improve efficiency.

  Returns:
    the number of messages prefetched by the EMS client.

### isPrefetchInherited

    public boolean isPrefetchInherited()

  Determine if the prefetch setting for this dest is inherited from a parent dest.

  Returns:
    true if the prefetch setting for this dest is inherited from a parent dest.

### setPrefetch

    public void setPrefetch(int prefetch)

  Set the number of messages prefetched by the consumers of this destination. To use the default prefetch setting, prefetch should be set to PREFETCH_DEFAULT. Prefetch can be disabled for local queues via setting it to PREFETCH_NONE. Topics and routed queues do not support PREFETCH_NONE.

  Parameters:
    `prefetch` - the number of messages consumers prefetch for this destination
  Throws:
    `java.lang.IllegalArgumentException` - if PREFETCH_NONE specified for topic or routed queue.

### getImportTransports

    public java.lang.String[] getImportTransports()

  Get the names of the transports that this destination imports messages from.

  Returns:
    array of transport names.

### areImportTransportsInherited

    public boolean areImportTransportsInherited()

  Deprecated. This method has been misnamed and replaced by `isImportTransportsInherited()`.

### isImportTransportsInherited

    public boolean isImportTransportsInherited()

  Determines if the list of transports this destination imports messages from was inherited from a parent destination or whether it was set on the destination directly.

  Returns:
    true if transport list inherited from parent, false otherwise.
  Since:
    EMS 4.4

### addImportTransport

    public void addImportTransport(java.lang.String transportName)
                            throws TibjmsAdminInvalidNameException

  Add a new import transport to the list of transports this destination imports messages from. If the current list of transports has been inherited from a parent destination then adding a transport will stop the inheritance and the inherited transports will all be removed from the list and replaced with the new one. From then on isImportTransportsInherited will indicate that the transports are no longer inherited and future calls to addImportTransport will simply add new transports to the list.

  Parameters:
    `transportName` - the name of the transport.
  Throws:
    `TibjmsAdminInvalidNameException` - if transportName is not a legal transport name

### removeImportTransport

    public void removeImportTransport(java.lang.String transportName)
                               throws TibjmsAdminInvalidNameException,
                                      TibjmsAdminException

  Remove an import transport from the list of transports this destination imports messages from. The removal of a transport from the list if the transports are inherited from a parent destination is not permitted and results in an exception.

  Parameters:
    `transportName` - the name of the transport.
  Throws:
    `TibjmsAdminInvalidNameException` - if transportName is not a legal transport name
    `TibjmsAdminException` - if import transports is inherited

### getBridgeTargets

    public BridgeTarget[] getBridgeTargets()

  Get the target destinations that this destination bridges to.

  Returns:
    array of BridgeTarget objects.

### areBridgeTargetsInherited

    public boolean areBridgeTargetsInherited()

  Deprecated. This method has been misnamed and replaced by `isBridgeTargetsInherited()`.

### isBridgeTargetsInherited

    public boolean isBridgeTargetsInherited()

  Determines if the list of targets was inherited from a parent destination or whether it was set on the destination directly.

  Returns:
    true if targets inherited from parent, false otherwise.
  Since:
    EMS 4.4

### isSenderName

    public boolean isSenderName()

  Indicates whether or not the sender_name property is set on this destionation.

  Returns:
    true if sender_name property is set on this destionation, false otherwise.

### setSenderName

    public void setSenderName(boolean senderName)

  Set sender_name property.

  Parameters:
    `senderName` - name of sender.

### isSenderNameInherited

    public boolean isSenderNameInherited()

  Indicates whether or not the sender_name property is inherited.

  Returns:
    true if sender_name property is inherited, false otherwise.

### isSenderNameEnforced

    public boolean isSenderNameEnforced()

  Indicates whether or not the sender_name_enforced property is set on this destination.

  Returns:
    true if sender_name_enforced property is set on this destionation, false otherwise.

### setSenderNameEnforced

    public void setSenderNameEnforced(boolean senderNameEnforced)

  Set sender_name_enforced property.

  Parameters:
    `senderNameEnforced` - true if the property is to be set, false otherwise.

### isSenderNameEnforcedInherited

    public boolean isSenderNameEnforcedInherited()

  Indicates whether or not the sender_name_enforced is inherited.

  Returns:
    true if sender_name_enforced property is inherited, false otherwise.

### getMaxBytes

    public long getMaxBytes()

  Get the maximum number of message bytes that the server will store for pending messages bound for this destination.

  Returns:
    the maximum number of message bytes that the server will store for pending messages bound for this destination.

### setMaxBytes

    public void setMaxBytes(long maxBytes)

  Set the maximum number of message bytes that the server will store for pending messages bound for this destination.

  Parameters:
    `maxBytes` - the maximum number of message bytes the server should store bound for this destination.

### isMaxBytesInherited

    public boolean isMaxBytesInherited()

  Determine if the maxBytes property was inheritied from a parent destination or set directly for this destination.

  Returns:
    true if the maxBytes property was inherited.

### getMaxMsgs

    public long getMaxMsgs()

  Get the maximum number of messages that the server will store for pending messages bound for this destination.

  Returns:
    the maximum number of messages that the server will store for pending messages bound for this destination.
  Since:
    Version 4.3.0 (queues only), Version 4.4 (topics and queues)

### setMaxMsgs

    public void setMaxMsgs(long maxMsgs)

  Set the maximum number of messages that the server will store for pending messages bound for this destination.

  Parameters:
    `maxMsgs` - the maximum number of messages the server should store bound for this destination.
  Since:
    Version 4.3.0 (queues only), Version 4.4 (topics and queues)

### isMaxMsgsInherited

    public boolean isMaxMsgsInherited()

  Determine if the maxMsgs property was inheritied from a parent destination or set directly for this destination.

  Returns:
    true if the maxMsgs property was inherited.
  Since:
    Version 4.3.0 (queues only), Version 4.4 (topics and queues)

### getOverflowPolicy

    public int getOverflowPolicy()

  Get the overflow policy for this destination. Possible values are `OVERFLOW_DEFAULT`, `OVERFLOW_DISCARD_OLD` or `OVERFLOW_REJECT_INCOMING`.

  Returns:
    the overflow policy for this destination.
  Since:
    Version 4.3.0 (queues only), Version 4.4 (topics and queues)

### setOverflowPolicy

    public void setOverflowPolicy(int overflow)
                           throws java.lang.IllegalArgumentException

  Set the overflow policy for this destination. Allowable values are `OVERFLOW_DEFAULT`, `OVERFLOW_DISCARD_OLD` and `OVERFLOW_REJECT_INCOMING`.

  Parameters:
    `overflow` - the overflow policy for this destination.
  Throws:
    `java.lang.IllegalArgumentException` - if overflow is invalid.
  Since:
    Version 4.3.0 (queues only), Version 4.4 (topics and queues)

### isOverflowPolicyInherited

    public boolean isOverflowPolicyInherited()

  Determine if the overflow property was inheritied from a parent destination or set directly for this destination.

  Returns:
    true if the overflow property was inherited.
  Since:
    Version 4.3.0 (queues only), Version 4.4 (topics and queues)

### getStore

    public java.lang.String getStore()

  Get the store for this destination.

  Returns:
    the store for this destination.
  Since:
    EMS 5.0

### isStoreInherited

    public boolean isStoreInherited()

  Determine if the store property was inherited from a parent destination or set directly for this destination.

  Returns:
    true if the store property was inherited.
  Since:
    EMS 5.0

### setStore

    public void setStore(java.lang.String store)

  Set the store for this destination.

  Parameters:
    `store` - the store for this destination.
  Throws:
    `java.lang.IllegalArgumentException` - if store is null or empty
  Since:
    EMS 5.0

### getMsgTrace

    public byte getMsgTrace()

  Indicates whether message tracing is enabled for this destination and, if it is enabled, what is to be traced.

  Returns:
    a byte representing the level of message tracing for this destination.

### setMsgTrace

    public void setMsgTrace(byte trace)
                     throws java.lang.IllegalArgumentException

  Set the level of message tracing for this destination.

  Parameters:
    `trace` - a byte representing the desired level of message tracing for this destination.
  Throws:
    `java.lang.IllegalArgumentException` - if trace is invalid.

### isMsgTraceInherited

    public boolean isMsgTraceInherited()

  Determine if the message trace property was inheritied from a parent destination or set directly for this destination.

  Returns:
    true if the trace property was inherited, false otherwise.

### getFlowControlMaxBytes

    public long getFlowControlMaxBytes()

  Get the volume of pending messages (in bytes) at which flow control is enabled for this destination.

  Returns:
    the volume of pending messages (in bytes) that the server will store for this destination before enabling flow control. A return value of zero indicates that flow control will never be enabled.

### setFlowControlMaxBytes

    public void setFlowControlMaxBytes(long fcBytes)

  Set the volume of pending messages (in bytes) at which flow control will be enabled for this destination.

  Parameters:
    `fcBytes` - the volume of messages (in bytes) that the server should store for this destination before enabling flow control. Set the value to zero to cancel the current value.

### isFlowControlMaxBytesInherited

    public boolean isFlowControlMaxBytesInherited()

  Determine if the flowControlMaxBytes property was inheritied from a parent destination or set directly for this destination.

  Returns:
    true if the flowControlMaxBytes property was inherited.

### isStatic

    public boolean isStatic()

  Determine if this destination is static. A destination is static if it is explicitly configured on the server. Temporary destinations and destinations created by the client without being configured on the server are not static. Only static destinations can be modified. Attempts to modify dynamic and temporary destinations will throw an exception.

  Returns:
    true if this destination is static.

### isTemporary

    public boolean isTemporary()

  Determine if this destination is temporary.

  Returns:
    true if this destination is temporary.

### getPendingMessageCount

    public long getPendingMessageCount()

  Get the total number of pending messages for this destination.

  Returns:
    the total number of pending messages for this destination.

### getPendingMessageSize

    public long getPendingMessageSize()

  Get the total size for all pending messages for this destination.

  Returns:
    the total size for all pending messages for this destination.

### getConsumerCount

    public int getConsumerCount()

  Get the number of consumers for this destination.

  Returns:
    the number of consumers for this destination.

### getInboundStatistics

    public StatData getInboundStatistics()

  Get inbound statistics for this destination. Inbound statistics refers to all messages sent into this destination by EMS clients and routed server.

  Returns:
    the inbound statistics for this destination

### getOutboundStatistics

    public StatData getOutboundStatistics()

  Get outbound statistics for this destination. Outbound statistics refers to all messages sent by the server to consumers on this destination and to other routed server.

  Returns:
    the outbound statistics for this destination.

### getExpiryOverride

    public long getExpiryOverride()

  Get the expiry override for this destination. When this property is set to a non-zero value for a destination, and the server delivers a message to it, the server replaces the producer's expiration value with this value.

  Returns:
    the expiration time in milliseconds.
  Since:
    Version 4.2

### setExpiryOverride

    public void setExpiryOverride(long expiry)

  Set the expiry override for this destination. When this property is set to a non-zero value for a destination, and the server delivers a message to it, the server replaces the producer's expiration value with this value.

  Parameters:
    `expiry` - the expiration time in milliseconds.
  Since:
    Version 4.2

### isExpiryOverrideInherited

    public boolean isExpiryOverrideInherited()

  Determine if the expiry override property was inheritied from a parent destination or set directly for this destination.

  Returns:
    true if the expiry override property was inherited.
  Since:
    Version 4.2

### statString

    public java.lang.String statString()

  Helper method that generates the statistical information in the form of a string.

  Returns:
    String representation of statistical information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved